Get an email template
curl --request GET \
--url https://api.heymilo.ai/api/v2/email-templates/{template_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.heymilo.ai/api/v2/email-templates/{template_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.heymilo.ai/api/v2/email-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"template_key": "<string>",
"name": "<string>",
"subject": "<string>",
"content": "<string>",
"created_at": 123,
"updated_at": 123,
"object": "email_template",
"blackout_period": {
"enabled": true,
"timezone": "<string>",
"start_hour": 123,
"end_hour": 123
}
},
"meta": {}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}Get an email template
Returns a single email template by ID.
GET
/
api
/
v2
/
email-templates
/
{template_id}
Get an email template
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Response
Successful Response
A single email template used for candidate communications.
Templates define the subject line and HTML body for emails sent at various stages of the interview workflow (invitations, nudges, etc.).
Show child attributes
Show child attributes
Optional metadata. Shape varies by endpoint.
Was this page helpful?
⌘I